package Application

import BD.SessionOracle
import Bean.Employe
import DAO.DAOEmploye
import DAO.DAOEmployeBis

fun testDaoEmploye(c : SessionOracle) {
    val empDAO = DAOEmploye(c)
    val nouvelEmploye = Employe(1936,"Kropotkin",20,1,755)
    empDAO.read()
    empDAO.create(nouvelEmploye)
    empDAO.read()
    nouvelEmploye.setSalaire(800)
    empDAO.update(nouvelEmploye)
    empDAO.read()
    empDAO.delete(nouvelEmploye)
    empDAO.read()
}

fun testDAOEmployeBis(c : SessionOracle) {
    val empDAO = DAOEmployeBis(c)
    val nouvelEmploye = Employe(1936,"Kropotkin",20,1,755)

}

fun main(args: Array<String>) {
    if (args.isNotEmpty()) {
        println(args)
    }
    val connexion = SessionOracle()
    connexion.getConnectionOracle()

    when (2) {
        1 -> testDaoEmploye(connexion)
        2 -> testDAOEmployeBis(connexion)
    }




}