package DAO

import BD.SessionOracle
import Bean.Employe
import java.sql.Connection
import java.sql.ResultSet
import java.sql.SQLException
import java.sql.Statement

class DAOEmploye(se: SessionOracle) {

    var session: SessionOracle? = null

    init {
        this.session = se
    }

    fun read() {
        var connection: Connection? = null
        connection = session?.getConnectionOracle()
        val request = "SELECT * FROM employe"

        try {
            val stmt: Statement = connection!!.createStatement()
            val output : ResultSet = stmt.executeQuery(request)

            while (output!!.next()) {
                val id = output.getInt("nuempl")
                val nom = output.getString("nomempl")
                println("$id $nom")
            }

        } catch(e: SQLException) {
            println("${e.errorCode} : ${e.message}")
        }
    }

    fun create(newEmpl : Employe) {
        var connection: Connection? = null
        connection = session?.getConnectionOracle()

        val insert = "INSERT INTO EMPLOYE VALUES(" +
                "${newEmpl.getNuempl()}," +
                "'${newEmpl.getNomempl()}'," +
                "${newEmpl.getHebdo()}," +
                "${newEmpl.getAffect()}," +
                "${newEmpl.getSalaire()})"
        try {
            val stmt: Statement = connection!!.createStatement()
            stmt.executeUpdate(insert)

        } catch(e: SQLException) {
            println("${e.errorCode} : ${e.message}")
        }
    }


    fun update(newEmpl : Employe) {
        var connection: Connection? = null
        connection = session?.getConnectionOracle()

        val update = "UPDATE EMPLOYE e WHERE e.Nuempl=${newEmpl.getNuempl()} SET " +
                "Nuempl=${newEmpl.getNuempl()}," +
                "Nomempl=${newEmpl.getNomempl()}," +
                "Hebdo=${newEmpl.getHebdo()}," +
                "Affect=${newEmpl.getAffect()}," +
                "Salaire=${newEmpl.getSalaire()}"
        try {
            val stmt: Statement = connection!!.createStatement()
            stmt.executeUpdate(update)
        } catch(e: SQLException) {
            println("${e.errorCode} : ${e.message}")
        }
    }

    fun delete(newEmpl : Employe) {
        var connection: Connection? = null
        connection = session?.getConnectionOracle()

        val delete = "DELETE EMPLOYE e WHERE e.Nuempl=${newEmpl.getNuempl()}"
        try {
            val stmt: Statement = connection!!.createStatement()
            stmt.executeUpdate(delete)
        } catch(e: SQLException) {
            println("${e.errorCode} : ${e.message}")
        }
    }
}